<?php

// проверяет заголовок изображения по шаблону
function checkImage($content)
{ 
	// шаблоны hex заголовков валидных изображений
	$hexheader=array
	(
		// начальный блок у любого изображения wow
		"ff d8 ff e0 0 10 4a 46 49 46 0 1 1 0 0 1 0 1 0 0 ff db 0 43 0 6 4 4 4 5",
		"ff d8 ff e0 0 10 4a 46 49 46 0 1 1 0 0 1 0 1 0 0 ff db 0 43 0 3 3 3 3 3",
	);

	foreach ($hexheader as $value)
	{
		// если все символы шаблона совпадают с началом контента, то возвратить true
		if (substr(str2hex($content),1,strlen($value))==$value) return true;
	}

	return false;
}

// конвертирует текстовую строку в строку hex
function str2hex ($str)
{
	$len=(strlen($str)<255) ? strlen($str) : 255;
	$output="";
	for ($i=0;$i<=$len; $i++)
	{
		$output=$output.' '.dechex(ord(substr($str,$i,1)));
	}
	return $output;
}

// изменяет размер изображения
function resizeImage($source_pic, $destination_pic, $max_width=200, $max_height=150, $text=false)
{
	$src = imagecreatefromjpeg($source_pic);
	list($width,$height)=getimagesize($source_pic);

	$x_ratio = $max_width / $width;
	$y_ratio = $max_height / $height;

	if( ($width <= $max_width) && ($height <= $max_height) )
	{
		$tn_width = $width;
		$tn_height = $height;
	}
	elseif (($x_ratio * $height) < $max_height)
	{
		$tn_height = ceil($x_ratio * $height);
		$tn_width = $max_width;
	}
	else
	{
		$tn_width = ceil($y_ratio * $width);
		$tn_height = $max_height;
	}
	if ($text) $bar_size=15; else $bar_size=0; 
	
	$tmp=imagecreatetruecolor($tn_width,$tn_height+$bar_size);
	imagecopyresampled($tmp,$src,0,0,0,0,$tn_width, $tn_height,$width,$height);
	
	//text
	if ($text) {
		$txt_color=$background = imagecolorallocate($tmp, 255, 255, 255);
		$txt_file="inc/fonts/arial.ttf";
		$txt_fontsize=10;

		imagettftext ($tmp, $txt_fontsize, 0,  $tn_width/2-(strlen($text)*$txt_fontsize)/3, $tn_height+12, $txt_color, $txt_file, $text);
	}

	imagejpeg($tmp,$destination_pic, IMAGE_QUALITY);
	imagedestroy($src);
	imagedestroy($tmp);
}

// вставляет ID между именем файла и его расширением
function getFileName_old ($text, $id)
{
	list($filename, $extension)=explode(".",$text);
	$newname=$filename.'_'.$id.'.'.$extension;
	return $newname;
}

// заменяет имя файла на md5, а расширение оставляет
function getFileName ($text, $md5)
{
	list($filename, $extension)=explode(".",$text);
	$newname=$md5.'.'.$extension;
	return $newname;
}

// вставляет ID между именем файла и его расширением
function drawLinks ($url, $original, $thumb)
{
	global $lang;
	
	$output.='<script type="text/javascript">
		function selectLayer(id) {
			layer=document.getElementById(id);
			layer.focus();
			layer.select();
			return false;
		}
	</script>';
	
	$output.="<br><table border=0>";
	$value='[URL='.$url.'][IMG]'.$thumb.'[/IMG][/URL]';
	$output.="<tr height=35><td align=right>" . $lang[CURRENT_LANG]['forum_link'] . ": </td><td><input id='forumlink' type='text' size='60' value='{$value}' onmousemove=\"selectLayer('forumlink');\"></td></tr>";

	$value='<a href="'.$url.'"><img src="'.$thumb.'" border=0></a>';
	$output.="<tr height=35><td align=right>" . $lang[CURRENT_LANG]['site_link'] . ": </td><td><input id='sitelink' type='text' size='60' value='{$value}' onmousemove=\"selectLayer('sitelink');\"></td></tr>";
	
	#$output.="<tr><td align=center colspan=2><small><b style='color:red'>НЕ РАЗМЕЩАЙТЕ ссылку ниже на форумах. Используйте КОД ДЛЯ ФОРУМОВ выше.</b></small></td></tr>";

	$value=$url;
	$output.="<tr><td height=35>" . $lang[CURRENT_LANG]['direct_link'] . ": </td><td><input id='imagelink' type='text' size='60' value='{$value}' onmousemove=\"selectLayer('imagelink');\"></td></tr>";

	#$value=$original;
	#$output.="<tr><td align=right>Прямая ссылка: </td><td><input id='imagelink' type='text' size='50' value='{$value}' onmousemove=\"selectLayer('imagelink');\"></td></tr>";
	$output.="</table>";

	return $output;
}


function drawHeader ($title=false)
{
	global $lang;
	
	if ($title) $title = ' - ' . $title;
	$output='<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"> 
<HTML> 
<HEAD> 
	<TITLE> WoW TrueShots'.$title.' </TITLE>
	<META NAME="Author" CONTENT="HarpyWar">
	<META NAME="Keywords" CONTENT="wow server hosting image screenshot хостинг изображений вов world of warcraft">
	<META NAME="Description" CONTENT="WoW Screenshots True Hosting">
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /> 

	<link rel="stylesheet" href="inc/style.css" type="text/css">
	</HEAD>

	<BODY>
	<CENTER>
	<div align=center><span class="title"><a href="index.php"><img src="inc/logo_trueshots_' . CURRENT_LANG . '.png" width="230" height="54" border=0 alt="WoW TrueShots"></a></span></div>
	<br>';
	
	$output .= DrawMenu();

	$output .= '';
		
	return $output;
}

function drawFooter ()
{
	$output = '</center>
<br><br>
<div class=copyrights>©&nbsp;2008—2010&nbsp;<a href="http://harpywar.com">HarpyWar</a></div>
<br><br>
</BODY>
</HTML>';

	return $output;
}

// меню, которое под логотипом
function DrawMenu()
{
	global $lang;
	global $script_url;
	global $register_url;	
	
	$output .= '<script type="text/javascript">
	function toggleUserMenu(show)
	{
		var el = document.getElementById("user-panel");
		if (show == 1)
			el.style.display="block";
		else 
			el.style.display="none";
	}
	</script>';

	$user_panel = sprintf("<div id='user-panel'><ul><li><a href='screenshots.php?filter=user&user=%s'>%s</a></li><li><a href='screenshots.php'>%s</a></li></ul></div>", SessionGetValue('user'), $lang[CURRENT_LANG]['menu.my_screenshots'], $lang[CURRENT_LANG]['title.all_screenshots']);
	
	// в одну строку, т.к. иначе будут неправильные распорки в браузере
	if ( SessionGetValue('user') )
		$links = sprintf("<span class='menu-item'>
		<span class='username' onmousemove='toggleUserMenu(1)' onmouseout='toggleUserMenu(0)'>
			$user_panel
			<a href='profile.php'>%s</a></span></span><span class='separator'></span><span class='menu-item'><a href='index.php'>%s</a></span><span class='separator'></span><span class='menu-item'><a href='?action=logout'>%s</a></span>", SessionGetValue('user'), $lang[CURRENT_LANG]['menu.add_screenshot'], $lang[CURRENT_LANG]['menu.logout'] );
	else
		$links = sprintf("<span class='menu-item'><a href='login.php'>%s</a></span><span class='separator'></span><span class='menu-item'><b><a href='index.php'>%s</a></b></span><span class='separator'></span><span class='menu-item'><a href='%s'>%s</a></span>", $lang[CURRENT_LANG]['menu.login'], $lang[CURRENT_LANG]['menu.add_screenshot'], $register_url, $lang[CURRENT_LANG]['menu.registration'] );

	
	$output .= "<div class=menu-field><b class='rtop_b'><b class='r1'></b><b class='r2'></b><b class='r3'></b><b class='r4'></b></b>
	<div class=menu>$links</div>
	<b class='rbottom_b'><b class='r4'></b><b class='r3'></b><b class='r2'></b><b class='r1'></b></b></div>";

	
	return $output;
}


function DrawRandomImages()
{
	global $mysql_host;
	global $mysql_username;
	global $mysql_password;
	global $mysql_database;
	global $table_shots;
	global $path_thumbs;
	
	$db=new db_mysql($mysql_host, $mysql_username, $mysql_password, $mysql_database);

	//добавить изображение, только если такого не существует
	$res=$db->executeSelect($table_shots,"*","ORDER BY rand() LIMIT 3");
	
	$output = "<table border=0><tr>";
	
	foreach ($res as $key=>$value)
	{
		$output .=sprintf( "<td><a href='img.php?hash=%s'><img src='%s%s' width=200 height=150 border=0 title='%s'></a>&nbsp;</td>", $value['md5'], $path_thumbs, getFileName($value['name'], $value['md5']), $value['comment'] );
	}
	$output .='</tr></table>';

	return $output;
}







// выдает зашифрованный пароль по логину и паролю
function EncodePassword($username, $password)
{
	$sha1pass = sha1(strtoupper($username).":".strtoupper($password));
	return $sha1pass;
}

function SessionSetValue($name, $value)
{
	$_SESSION[$name] = $value;
}

function SessionGetValue($name)
{
	if (isset($_SESSION))
	{
		if (array_key_exists($name, $_SESSION))
			return $_SESSION[$name];
	}
	return false;
}


По умолчанию
Цитата:
Сообщение от kBaTT Посмотреть сообщение
обновился, но не отображает комментарии, точнее ошибка:
PHP код:
Call to undefined function Translate() 
Посмотрел файл func.inc.php, не нашел функции.
Добавь в inc/func.inc.php несколько функций. С ними должно работать.
PHP код:
// добавляет сообщение
function SetMessage($text)
{
    SessionSetValue('message', $text);
}
// после получения сообщения, оно удаляется 
function GetMessage()
{
    if ($message = SessionGetValue('message'))
    {
        $output = '<div class="form_message">' . $message . '</div>';
        SessionSetValue('message', false);
        return $output;
    }
    return false;
}

// получить локализацию пользователя
function GetCurrentLocale()
{
    global $locales;
    
    // если в сессии есть локализация, то возвратить её
    $lc = ( SessionGetValue('locale') ) ? SessionGetValue('locale') : CURRENT_LANG;
    
    // если локализация найдена в списке
    foreach ($locales as $k => $l)
        if ($lc == $k)
            return $lc;
        
    // если не найдена - английский
    return 'en';
}

// возвращает переведенную на текущий язык фразу
function Translate($phrase_id)
{
    global $lang;
    
    // если такая фраза есть - возвратить
    if ( array_key_exists($phrase_id, $lang[GetCurrentLocale()] ) )
        return $lang[GetCurrentLocale()][$phrase_id];

    // если такая фраза есть на английском - возвратить её
    if ( array_key_exists($phrase_id, $lang['en'] ) )
        return $lang['en'][$phrase_id];
        
    return false;
}

function POSTGetValue($name)
{
    if (isset($_POST))
    {
        if (array_key_exists($name, $_POST))
            return $_POST[(string)$name];
    }
    return false;
} 

//проверка емейла
function checkMail($mail) 
{
   
   $mail=trim($mail); // режем левые символы и крайние пробелы
   if (strlen($mail)==0) return false; // если пусто - выход
   if (!preg_match("/^.+@(([a-z0-9-]+\.)+(com|net|org|mil|".
   "edu|gov|arpa|info|biz|inc|name|[a-z]{2,4})|[0-9]{1,3}\.[0-9]{1,3}\.[0-".
   "9]{1,3}\.[0-9]{1,3})$/is",$mail))
	return false;
   return true;
}


// отображает ошибки из массива в виде html
function DisplayErrors($errors)
{
	$output = '';
	foreach ($errors as $err)
	{
		if ($err)
			$output .= sprintf( "<div>* %s</div>", $err );
	}
	
	return $output;
}

// экранирует все POST переменные, затем их можно использовать как обычно
//  перед использованием необходимо установленное соединение с БД
function FilterPost()
{
	foreach ($_POST as $key => $value)
	{
		$_POST[$key] = mysql_escape_string($value);
	}
}
function FilterGet()
{
	foreach ($_GET as $key => $value)
	{
		$_GET[$key] = mysql_escape_string($value);
	}
}

/** 
 * The letter l (lowercase L) and the number 1 
 * have been removed, as they can be mistaken 
 * for each other. 
 */ 
function createRandomPassword() { 

    $chars = "abcdefghijkmnopqrstuvwxyz023456789"; 
    srand((double)microtime()*1000000); 
    $i = 0; 
    $pass = '' ; 

    while ($i <= 7) { 
        $num = rand() % 33; 
        $tmp = substr($chars, $num, 1); 
        $pass = $pass . $tmp; 
        $i++; 
    } 

    return $pass; 

} 




/**
 * Page navigator
 * @copyright	HarpyWar 2009
 *
 * @param		integer $page = current page number
 * @param		integer $rows_on_page = how many rows place on page
 * @param		integer $rows_count = all rows count
 * @param		integer $trim_count = how many pages display
 * @param		string $query = browser address bar query (example index.php?x=1&y=2& - will replace to index.php?x=1&y=2&page=x)
 * @return		string html page navigator bordered by <DIV>
 */
function pageNavigator($page, $rows_on_page, $rows_count, $trim_count = 5) 
{
	global $lang;
	
	// убрать из урла page
	$query = preg_replace('/(?:&|(\?))' . 'page' . '=[^&]*(?(1)&|)?/i', "$1", $_SERVER['REQUEST_URI']);
	
    $pages_count=ceil($rows_count/$rows_on_page); //всего страниц

    if ($pages_count <= 1)
        return false;

    $page_prev=$page-1;
    $page_next=$page+1;
    $trim_left=$page-$trim_count;
    if ($trim_left<1) $trim_left=1;
    $trim_right=$page+$trim_count;
    if ($trim_right>$pages_count) $trim_right=$pages_count;

	//защита от неверной страницы
    if ($page<1 or $page>$pages_count or $page=="") 
		$page=1; 

    $output = "<table width=100% border=0><tr>";
	
	// FIRST
    if ($page>1) 
		$output .= "<td><a href='{$query}&page=1'>" . $lang[CURRENT_LANG]['page_navigator.first'] . "</a>";
    else 
		$output .= "<td style='color:silver'>" . $lang[CURRENT_LANG]['page_navigator.first'] . "</td>";
   	// PREVIOUS
	if ($page>1) 
		$output .= "<td align=right><a href='{$query}&page={$page_prev}'>" . $lang[CURRENT_LANG]['page_navigator.prev'] . "</a></td>";
    else 
		$output .= "<td style='color:silver' align=right>" . $lang[CURRENT_LANG]['page_navigator.prev'] . "</td>";
		
    $output .= "<td>&nbsp;</td><td align=center width=100>";
    if ($page-$trim_count>1) 
		$output .= "...&nbsp;";
		
    for ($i=$trim_left;$i<=$trim_right;$i++) //вывод номеров страниц
    {
        if ($i==$page)
            $output .= $i.'&nbsp;&nbsp;';
        else
            $output .= "<a href='{$query}&page={$i}'>{$i}</a>&nbsp;&nbsp;";
    }
    if ($page+$trim_count<$pages_count) 
		$output .= "...&nbsp;";
		
    $output .= "</td><td>&nbsp;</td>";
	
	// NEXT
    if ($page<$pages_count) 
		$output .= "<td align=left><a href='{$query}&page={$page_next}'>" . $lang[CURRENT_LANG]['page_navigator.next'] . "</a></td>";
    else 
		$output .= "<td style='color:silver' align=left>" . $lang[CURRENT_LANG]['page_navigator.next'] . "</td>";
	// LATEST
    if ($page<$pages_count) 
		$output .= "<td align=right><a href='{$query}&page={$pages_count}'>" . $lang[CURRENT_LANG]['page_navigator.latest'] . "</a>&nbsp;</td>";
    else 
		$output .= "<td style='color:silver' align=right>" . $lang[CURRENT_LANG]['page_navigator.latest'] . "</td>";
		
    $output .= "</tr></table>";

    return $output;
}




/*
$str="hell";
echo str2hex ($str);

echo "<br>";

echo checkImage($str);
*/


?>