<?php 
// изменение настроек профиля

require_once ("inc/config.inc.php"); 
require_once ("inc/func.inc.php"); 
require_once ("inc/mysql.class.php");
require_once ("inc/auth.inc.php");


// если юзер не залогинен, то перенаправить на главную
if (!SessionGetValue('user'))
	header("location: $script_url");

	
$errors = array();
$message = '';

if ($_POST)
{
	$db=new db_mysql($mysql_host, $mysql_username, $mysql_password, $mysql_database);
	$db->show_errors = true;
	FilterPost();
	

	// проверка введенных полей
	if ( !checkMail($_POST['email']) )
		$errors[] = $lang[CURRENT_LANG]['bad_email'];
	
	if ( $_POST['new_password'] != $_POST['new_password_repeat'] )
		$errors[] = $lang[CURRENT_LANG]['passwords_mismatch'];
		
	if ( $_POST['new_password'] && ( strlen($_POST['new_password']) < 6 or strlen($_POST['new_password']) > 128 ) )
		$errors[] = $lang[CURRENT_LANG]['bad_password_lenght'];
		
	// выбрать пользователя с таким паролем
	$res=$db->executeSelect($table_users,"*","WHERE password='".EncodePassword(SessionGetValue('user'), $_POST['password'])."' LIMIT 1" );
	if (count($res) == 0)
		$errors[] = $lang[CURRENT_LANG]['bad_login_or_password'];
		
	// если нет ошибок то изменить данные
	if (count($res) > 0 and count($errors) == 0)
	{
		$query = "email='".$_POST['email']."'";

		if ($_POST['new_password'])
			$query .= ", password='".EncodePassword(SessionGetValue('user'), $_POST['new_password'])."'";

		$res=$db->executeUpdate($table_users,$query,"id='".$res[0]['id']."' LIMIT 1" );
		
		// установить новый емейл в сессию
		SessionSetValue('email', $_POST['email']);
		$message = $lang[CURRENT_LANG]['message.settings_changed'];
	}
	$db->close();
}

	
echo drawHeader($lang[CURRENT_LANG]['title.account_profile']);
?>

<h1><?php echo $lang[CURRENT_LANG]['title.account_profile']; ?></h1>

<div class="form">
<form enctype="multipart/form-data" action="" method="POST">
		<div class='form_message'>
			<?php echo $message; ?>
		</div>
		<div class='form_errors'>
			<?php echo DisplayErrors($errors); ?>
		</div>
		<p>
			<label>Email</label>
			<input name="email" type='text' size=25 value="<?php echo  SessionGetValue('email'); ?>">
		</p>
		<p>
			<label><?php echo $lang[CURRENT_LANG]['current_password']; ?></label>
			<input name="password" type='password' size=25> *
		</p>
		<?php echo $lang[CURRENT_LANG]['change_password']; ?>
		<p>
			<label><?php echo $lang[CURRENT_LANG]['new_password']; ?></label>
			<input name="new_password" type='password' size=25>
		</p>
		<p>
			<label><?php echo $lang[CURRENT_LANG]['repeat_new_password']; ?></label>
			<input name="new_password_repeat" type='password' size=25>
		</p>
		<div>
			<input class='submit' type='submit' value='<?php echo $lang[CURRENT_LANG]['button.edit']; ?>'>
		</div>
</form> 
</div>

	
<?php 
echo drawFooter();
 ?>